R_SETENV(3)

FUNCTION
r_setenv - Set an environment variable.

SYNOPSIS
#include <karma_r.h>

int r_setenv

(CONST char *env_name, CONST char *env_value)

DESCRIPTION
This routine will provide a consistent interface to set environment variables. This is necessary because the "standard" C library routines: <<putenv>> or <<setenv>> (depending on the particular standard C library supplied with the operating system) are in fact not standard.

env_name
    The environment variable to create or change.

env_value
    The string value to set the variable to.

RETURN VALUE
0 on success, else -1.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/